IF NOT EXISTS( SELECT ID FROM SYSOBJECTS WHERE 	NAME = 'TELE_PRC_FILIAL' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (SELECT 1 FROM SYS.COLUMNS WHERE NAME = 'FILIAL_PADRAO_COMMERCE' AND OBJECT_ID = OBJECT_ID ('TELE_PRC_FILIAL'))
		BEGIN
			ALTER TABLE TELE_PRC_FILIAL ADD FILIAL_PADRAO_COMMERCE  INT NOT NULL DEFAULT 0 
			PRINT 'CAMPO FILIAL_PADRAO_COMMERCE NA TABELA TELE_PRC_FILIAL INSERIDO COM SUCESSO'
		END
	ELSE 
	RAISERROR('CAMPO FILIAL_PADRAO_COMMERCE JA EXISTE PARA A TABELA TELE_PRC_FILIAL',16,1)	
END
